#!/bin/sh
#
# @package      hubzero-submit-monitors
# @file         writecommunitysecret.sh
# @copyright    Copyright (c) 2015-2020 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2015-2020 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#
if [ $# -ne 1 ] ; then
   echo "usage: $0 communitySecretFile"
   exit 64
fi

exitStatus=0

communitySecretFile=$1

if [ -n "${COMMUNITYSECRET}" ] ; then
   umask 077
   exitStatus=$?
   if [ ${exitStatus} -eq 0 ] ; then
      touch ${communitySecretFile}
      exitStatus=$?
      if [ ${exitStatus} -eq 0 ] ; then
         echo -n "${COMMUNITYSECRET}" > ${communitySecretFile}
         exitStatus=$?
      fi
   fi
else
   echo "Environment variable COMMUNITYSECRET does not exist"
   exitStatus=1
fi

exit ${exitStatus}
